> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT /v3/auth/token



## OpenAPI

````yaml PUT /v3/auth/token
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v3/auth/token:
    put:
      tags:
        - auth
      summary: Refresh authorization token
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/AuthRefresh'
          application/json:
            schema:
              $ref: '#/components/schemas/AuthRefresh'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  access:
                    type: object
                    properties:
                      token:
                        type: string
                      expiredAt:
                        type:
                          - integer
                          - 'null'
                      expiresIn:
                        type:
                          - integer
                          - 'null'
                  refresh:
                    type: object
                    properties:
                      token:
                        type: string
                      expiredAt:
                        type:
                          - integer
                          - 'null'
                      expiresIn:
                        type:
                          - integer
                          - 'null'
        '400':
          $ref: '#/components/responses/BadRequestV2'
        '404':
          $ref: '#/components/responses/NotFoundWithoutResponse'
        '429':
          $ref: '#/components/responses/TooManyRequests'
      security: []
components:
  schemas:
    AuthRefresh:
      type: object
      properties:
        token:
          type: string
          description: Refresh token
      required:
        - token
  responses:
    BadRequestV2:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              query:
                type: object
                example:
                  id: The provided 'ID' is not a valid UUID.
              body:
                type: object
                example:
                  email: Email cannot be blank.
    NotFoundWithoutResponse:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Not Found
          example:
            message: Not Found
    TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Too Many Requests
              message:
                type: string
              status:
                type: integer
                example: 429
          examples:
            default:
              value:
                name: Too Many Requests
                message: string
                status: 429
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````